# Class InputTableSpec

java.lang.Object
uk.ac.starlink.ttools.task.InputTableSpec

public abstract class InputTableSpec extends Object
Provides the specifications for a single input table.

Since:
  29 Sep 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`InputTableSpec(String loc, ProcessingStep[] steps)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static InputTableSpec`
`createSpec(String loc, ProcessingStep[] steps, uk.ac.starlink.table.StarTable table)`
Returns an InputTableSpec with a fixed table value.
`abstract uk.ac.starlink.table.StarTable`
`getInputTable()`
Returns input table.
`String`
`getLocation()`
Returns input table location as specified in the parameter value.
`ProcessingStep[]`
`getSteps()`
Returns the array of processing steps which constitutes the processing pipeline.
`uk.ac.starlink.table.StarTable`
`getWrappedTable()`
Returns the input table processed by all of the accumulated processing steps associated with this spec.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InputTableSpec

public InputTableSpec(String loc, ProcessingStep[] steps)
Constructor.

Parameters:
  `loc` - original table location
  `steps` - processing pipeline

## Method Details

### getInputTable

public abstract uk.ac.starlink.table.StarTable getInputTable() throws uk.ac.starlink.task.TaskException
Returns input table.

Returns:
  input table
Throws:
  `uk.ac.starlink.task.TaskException`

### getSteps

public ProcessingStep[] getSteps()
Returns the array of processing steps which constitutes the processing pipeline.

Returns:
  processing pipeline steps

### getLocation

public String getLocation()
Returns input table location as specified in the parameter value.

Returns:
  input table location

### getWrappedTable

public uk.ac.starlink.table.StarTable getWrappedTable() throws IOException, uk.ac.starlink.task.TaskException
Returns the input table processed by all of the accumulated processing steps associated with this spec.

Returns:
  pre-processed table
Throws:
  `IOException`
  `uk.ac.starlink.task.TaskException`

### createSpec

public static InputTableSpec createSpec(String loc, ProcessingStep[] steps, uk.ac.starlink.table.StarTable table)
Returns an InputTableSpec with a fixed table value.

Parameters:
  `loc` - original table location
  `steps` - processing pipeline
  `table` - input table
Returns:
  new table spec